<!DOCTYPE html>
<html lang="en">
<head>
	
	<link href="https://fonts.googleapis.com/css?family=Sanchez&display=swap" rel="stylesheet">
	<link rel="stylesheet" href="style.css">
	<meta name="viewport" content="initial-scale=1,maximum-scale=1,user-scalable=no" />
<script src="https://api.mapbox.com/mapbox-gl-js/v1.7.0/mapbox-gl.js"></script>
<link href="https://api.mapbox.com/mapbox-gl-js/v1.7.0/mapbox-gl.css" rel="stylesheet" />
</head>

</head>
<body>
<div id="container">
	<div id="navi">
		<img src="logo.png" alt="logo"/><h1>Historic Sites Of London</h1>
	</div>
  <div id="infoi">
 
  </div>
	<div id="instruction">
		<p>Click on the markers above to find out more information about each historic site.</p>
	</div>
</div>

        
   <script>
	mapboxgl.accessToken = 'pk.eyJ1Ijoiam9hbmFzZWFicmEiLCJhIjoiY2s2ajhteDJyMDB1ZjNvdGN3cGJjbmE5ZiJ9.VAN1eoirJvitOrffV5zlyA';
    var map = new mapboxgl.Map({
        container: 'infoi',
        style: 'mapbox://styles/mapbox/streets-v11',
        center: [-0.0245,51.5105],
        zoom: 12
    });

    map.on('load', function() {



        map.addSource('places', {
            'type': 'geojson',
            'data': {
                'type': 'FeatureCollection',
                'features': [
                    {
                        'type': 'Feature',
                        'properties': {
                            'description':
                                '<h2>Cutty Sark</h2><img src="imgs/cutty-sark.jpg"><p>Built in 1869, the Cutty Sark is one of the most important ships in the world and is world-renowned for her beauty. Originally devised to transport tea from China to Britain, she spent almost 100 years sailing, visiting most of the major ports across the globe. Now moored in the charming London neighbourhood of Greenwich, she sits in a beautiful glass ‘sea’ beside the River Thames.</p>',
                            'icon': 'theatre'
                        },
                        'geometry': {
                            'type': 'Point',
                            'coordinates': [-0.00583331 ,51.476331428]
                        }
                    },
                    {
                        'type': 'Feature',
                        'properties': {
                            'description':
                                '<h2>Tower of London</h2><img src="imgs/tower-london.jpg"><p>Fortress, prison, royal mint and now a tourist attraction. The Tower of London has seen many lives over the past centuries and persists to this day as a powerful symbol of British heritage. A seemingly permanent fixture on London\'s skyline, the question of why and when the Tower of London was built still prevail to this day. During the First and Second World Wars, the Tower was used as a prison; today, the property is cared for by the charity Historic Royal Palaces and is protected as a World Heritage Site.</p>',
                            'icon': 'theatre'
                        },
                        'geometry': {
                            'type': 'Point',
                            'coordinates': [-0.076132, 51.508530]
                        }
                    },
                    {
                        'type': 'Feature',
                        'properties': {
                            'description':
                                '<h2>St. Pauls Cathedral</h2><img src="imgs/st-pauls.jpg"><p>St. Paul\'s Cathedral has had an eventful history. Five different churches were built at this site. The first church, dedicated to the apostle Paul, dates back to 604 AD, when King Ethelbert of Kent built a wooden church on the summit of one of London\'s hills for Mellitus, Bishop of the East Saxons. At the end of the seventh century, the church was built in stone by Erkenwald, Bishop of London. It sits on Ludgate Hill at the highest point of the City of London and is a Grade I listed building; the cathedral is a working church with hourly prayer and daily services.</p>',
                            'icon': 'bar'
                        },
                        'geometry': {
                            'type': 'Point',
                            'coordinates': [-0.098362, 51.513870]
                        }
                    },
                    {
                        'type': 'Feature',
                        'properties': {
                            'description':
                                '<h2>Big Ben</h2><img src="imgs/big-ben.jpg"><p>The name Big Ben is often used to describe the tower, the clock and the bell, but the name was first given to the Great Bell. The Elizabeth Tower, which stands at the north end of the Houses of Parliament, was completed in 1859 and the Great Clock started on 31 May, with the Great Bell\'s strikes heard for the first time on 11 July and the quarter bells first chimed on 7 September. It is one of London\'s most famous attractions.</p>',
                            'icon': 'art-gallery'
                        },
                        'geometry': {
                            'type': 'Point',
                            'coordinates': [-0.116773, 51.510357]
                        }
                    },
                    {
                        'type': 'Feature',
                        'properties': {
                            'description':
                                '<h2>London Eye</h2><img src="imgs/london-eye.jpeg"><p>The London Eye is centrally located in the heart of the capital, gracefully rotating over the river Thames opposite the Houses of Parliament and Big Ben. At 135 metres, the London Eye is one of the world\'s tallest cantilevered observation wheels; a feat of design and engineering it has become the modern symbol representing the capital and a global icon. The experience showcases breath taking 360-degree views of the capital and its famous landmarks. </p>',
                            'icon': 'bicycle'
                        },
                        'geometry': {
                            'type': 'Point',
                            'coordinates': [-0.119519, 51.503399]
                        }
                    },

                    {
                        'type': 'Feature',
                        'properties': {
                            'description':
                                '<h2>Buckingham Palace</h2><img src="imgs/buckingham.jpg"><p>Buckingham Palace is the most iconic royal building in the country. It is the London residence of Her Majesty the Queen and is one of only a few working royal palaces left in the world. The history of the original building dates back to the early 1700’s and finally became the official residence of the British monarch in 1837 after Queen Victoria came to the throne. The 19 State Rooms at the palace are regularly used by the Royal family to entertain guests on their State, ceremonial and official visits to the United Kingdom.</p>',
                            'icon': 'music'
                        },
                        'geometry': {
                            'type': 'Point',
                            'coordinates': [-0.140634, 51.501476]
                        }
                    }
                ]
            }
        });
        // Add a layer showing the places.
        map.loadImage("https://i.imgur.com/MK4NUzI.png", function(error, image) {
            if (error) throw error;
            map.addImage("custom-marker", image);
        map.addLayer({
            'id': 'places',
            'type': 'symbol',
            'source': 'places',
            'layout': {
                'icon-image': "custom-marker",
                'icon-size': 1
            }
        });
        });

        /*    map.addLayer({
                'id': 'points',
                'type': 'symbol',
                'source': 'point',
                'layout': {
                'icon-image': 'cat',
                'icon-size': 0.25
            }*/

        // When a click event occurs on a feature in the places layer, open a popup at the
        // location of the feature, with description HTML from its properties.
        map.on('click', 'places', function(e) {
            var coordinates = e.features[0].geometry.coordinates.slice();
            var description = e.features[0].properties.description;

            // Ensure that if the map is zoomed out such that multiple
            // copies of the feature are visible, the popup appears
            // over the copy being pointed to.
            while (Math.abs(e.lngLat.lng - coordinates[0]) > 180) {
                coordinates[0] += e.lngLat.lng > coordinates[0] ? 360 : -360;
            }

            new mapboxgl.Popup()
                .setLngLat(coordinates)
                .setHTML(description)
                .addTo(map);
        });

        // Change the cursor to a pointer when the mouse is over the places layer.
        map.on('mouseenter', 'places', function() {
            map.getCanvas().style.cursor = 'pointer';
        });

        // Change it back to a pointer when it leaves.
        map.on('mouseleave', 'places', function() {
            map.getCanvas().style.cursor = '';
        });
    });
</script>
</body>
</html>